# Gimp.Palette.delete_entry

    @accepts(Gimp.Palette, int)
    @returns(bool)
    def delete_entry(self, entry_num):
        # Python wrapper for gimp_palette_delete_entry()

Deletes an entry from the palette.

This function will fail and return False if the index is out or range or if the palette is not editable. Additionally if the palette belongs to an indexed image, it will only be possible to delete palette colors not in use in the image.

Since 2.2

self

  The palette.

entry_num

  The index of the entry to delete.

Returns